首页 / 浏览问题 / 组件GIS / 问题详情
组件可以使用的vs版本
31EXP 2022年04月21日

使用vs2017版本打开下载的示例代码,调试模式以改成使用x86,但是还是会报错,想问一下能正常运行demo的vs版本是多少

1个回答

您好,组件没有限制vs的版本。

至于调试运行平台x86还是x64,取决于您使用配置的组件版本是32还是64位的。

看您的报错,需要注意项目里引用的dll所在的文件夹和您系统环境变量里的是不是一致,

您当前使用激活的许可是否包含.net组件。

希望可以帮助到您。
9,463EXP 2022年04月21日

1、我的环境变量检查了是一致的。

2、我的许可是试用许可,勾选了全部的产品,这个要怎么看是不是包含了net组件呢?

试用许可的时间日期是你全产品的那份许可就行。

环境变量的话你要看下和你工程里引的dll是不是一致的哈。

还有你这个版本的话目标平台要用x64哈

...